commit:     a4e4d69813047ce889b12caf0178270c399335a6
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Tue Sep  1 11:01:30 2020 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Sep  1 11:02:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4e4d698

app-portage/pgo: Initial import

Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-portage/pgo/Manifest         |  1 +
 app-portage/pgo/metadata.xml     | 21 +++++++++++++++++++++
 app-portage/pgo/pgo-0.0.2.ebuild | 27 +++++++++++++++++++++++++++
 app-portage/pgo/pgo-9999.ebuild  | 27 +++++++++++++++++++++++++++
 4 files changed, 76 insertions(+)

diff --git a/app-portage/pgo/Manifest b/app-portage/pgo/Manifest
new file mode 100644
index 00000000000..a6f261140e6
--- /dev/null
+++ b/app-portage/pgo/Manifest
@@ -0,0 +1 @@
+DIST pgo-0.0.2.tar.gz 1758457 BLAKE2B 
b31b9c2d200fb925390881019b9c540e8c95454874fa60a8829b73000d27ed470686dd7150d8cdcc7267a7329fcb6883d7f9eee27c622c91c36cfb6648bdda56
 SHA512 
36435813dee1d6256888e3f845b0bd053d9b58ed1c810f7368e935ac8e58f209956b8d3b0cff5cca464d76d8cebe3f483dba692a47c2785dc626842a30758554

diff --git a/app-portage/pgo/metadata.xml b/app-portage/pgo/metadata.xml
new file mode 100644
index 00000000000..e7c029f91d6
--- /dev/null
+++ b/app-portage/pgo/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Max Magorsch</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Mikle Kolyada</name>
+       </maintainer>
+       <longdescription>
+               pgo is a small command line interface for packages.gentoo.org. 
It is
+               using the graphql api of packages.gentoo.org to display 
information
+               about packages like: versions, metadata, dependencies, QA 
reports,
+               pull requests, bugs and the changelog. It's also able to display
+               information for maintainers, as a list of packages they are 
maintaining,
+               a list of outdated packages, or bugs related to the packages 
they are
+               maintaining.
+       </longdescription>
+</pkgmetadata>

diff --git a/app-portage/pgo/pgo-0.0.2.ebuild b/app-portage/pgo/pgo-0.0.2.ebuild
new file mode 100644
index 00000000000..e3a6873088b
--- /dev/null
+++ b/app-portage/pgo/pgo-0.0.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit go-module
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/arzano/pgo";
+else
+       SRC_URI="https://github.com/arzano/pgo/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A command line interface for packages.gentoo.org"
+HOMEPAGE="https://github.com/arzano/pgo";
+LICENSE="BSD-2"
+SLOT="0"
+
+src_compile() {
+       env GOBIN="${S}/bin" go build -mod=vendor || die "compile failed"
+}
+
+src_install() {
+       dobin pgo
+}

diff --git a/app-portage/pgo/pgo-9999.ebuild b/app-portage/pgo/pgo-9999.ebuild
new file mode 100644
index 00000000000..e3a6873088b
--- /dev/null
+++ b/app-portage/pgo/pgo-9999.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit go-module
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/arzano/pgo";
+else
+       SRC_URI="https://github.com/arzano/pgo/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="A command line interface for packages.gentoo.org"
+HOMEPAGE="https://github.com/arzano/pgo";
+LICENSE="BSD-2"
+SLOT="0"
+
+src_compile() {
+       env GOBIN="${S}/bin" go build -mod=vendor || die "compile failed"
+}
+
+src_install() {
+       dobin pgo
+}

Reply via email to